Bug 1804869 - Pods in pending status display no conditions, unable to know that pod can't be scheduled
Summary: Pods in pending status display no conditions, unable to know that pod can't b...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.5.0
Assignee: Robb Hamilton
QA Contact: Yanping Zhang
URL:
Whiteboard:
Depends On:
Blocks: 1807107
TreeView+ depends on / blocked
 
Reported: 2020-02-19 19:03 UTC by Clayton Coleman
Modified: 2020-07-13 17:16 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The pods details page did not include conditions. Consequence: Without the conditions, it is hard to know the status of the pod. Fix: Add the conditions section to the pod details page. Result: It is easier to discern the status of the pod now that conditions are included.
Clone Of:
: 1807107 (view as bug list)
Environment:
Version: 4.5.0-0.ci-2020-02-19-141327 Cluster ID: 0a55030e-bf1e-49f9-9f5d-7d797779c093 Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_2) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.130 Safari/537.36
Last Closed: 2020-07-13 17:16:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 4394 None closed Bug 1804869: Add conditions table to pod details and tidy up types 2020-07-22 12:11:52 UTC
Red Hat Product Errata RHBA-2020:2409 None None None 2020-07-13 17:16:49 UTC

Description Clayton Coleman 2020-02-19 19:03:07 UTC
A pod that can't be scheduled is in phase Pending with conditions:

  phase: Pending
  conditions:
    - type: PodScheduled
      status: 'False'
      lastProbeTime: null
      lastTransitionTime: '2020-02-19T18:46:05Z'
      reason: Unschedulable
      message: >-
        0/6 nodes are available: 1 Insufficient cpu, 5 node(s) didn't match node
        selector.

The condition, reason, and message are all important for users to know, but the Pod details and Container details pages show nothing for the conditions.

The conditions should be shown, and the "pending" at the top of the page and in the pod status should indicate that the pod isn't schedulable.  This is a not-uncommon scenario and the current UI flow makes it extremely hard to know what to do (I had to look at pod YAML)

Comment 1 Robb Hamilton 2020-02-19 20:04:27 UTC
> The condition, reason, and message are all important for users to know, but the Pod details and Container details pages show nothing for the conditions.

Adding the Conditions section to the bottom of the pod details page is trivial.  I assume we want this for all pods regardless of status?

> The conditions should be shown, and the "pending" at the top of the page 

This is similar to the request to have the timestamp by the status in the header.  I'm unable to locate where this request was made.  I know sgoodwin was looking in to it...

> and in the pod status should indicate that the pod isn't schedulable.  This is a not-uncommon scenario and the current UI flow makes it extremely hard to know what to do (I had to look at pod YAML)

For CSVs we display "Status Reason" (with status.condition.message as a value) underneath "Status" in the CSV Details section.  Do we want to do something similar here?

Comment 2 Steve Goodwin 2020-02-24 15:48:34 UTC
(In reply to Robb Hamilton from comment #1)

> > The conditions should be shown, and the "pending" at the top of the page 
> 
> This is similar to the request to have the timestamp by the status in the
> header.  I'm unable to locate where this request was made.  I know sgoodwin
> was looking in to it...
> 

Original bug https://bugzilla.redhat.com/show_bug.cgi?id=1792489 was closed and Ben opened an RFE in jira https://issues.redhat.com/browse/RFE-563

Comment 3 Robb Hamilton 2020-02-24 15:54:26 UTC
Additional enhancements will be part of https://issues.redhat.com/browse/RFE-563

Comment 6 Yanping Zhang 2020-02-28 10:18:05 UTC
Checked on OCP 4.5 with payload 4.5.0-0.ci-2020-02-28-043432.
Create pod that could not be scheduled successfully, check the conditions info on pod detail page, it shows Reason: "Unschedulable" and Message: "error while running "VolumeBinding" filter plugin for pod "example-0": pod has unbound immediate PersistentVolumeClaims".
The bug is fixed, so move it to Verified.

Comment 8 errata-xmlrpc 2020-07-13 17:16:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.